Read private attachment content
curl --request GET \
--url https://atollhq.com/api/orgs/{id}/issues/{issueId}/attachments/{attachmentId}/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://atollhq.com/api/orgs/{id}/issues/{issueId}/attachments/{attachmentId}/content"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://atollhq.com/api/orgs/{id}/issues/{issueId}/attachments/{attachmentId}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Issue details
Read private attachment content
Project-scoped reads require project access. Guests cannot read attachments on unprojected issues. Signature-valid PNG, JPEG, GIF, and WebP are served inline; other types are forced to download as application/octet-stream. Responses are private, no-store, and nosniff.
GET
/
api
/
orgs
/
{id}
/
issues
/
{issueId}
/
attachments
/
{attachmentId}
/
content
Read private attachment content
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier
Issue identifier
Attachment identifier
Body
multipart/form-data
Response
Private attachment bytes
The response is of type file.
⌘I

